田草博客
日志搜索


 标题   内容 评论


网友交流QQ群:11740834 需注明申请加入原因

微信 公众号:ByCAD

邮箱:tiancao1001x126.com
ByCAD,微信公众号
首页 | 普通 | 电脑 | AutoCAD | VB/VB.NET | FLash | 结构 | 建筑 | 电影 | BIM | 规范 | 软件
-电信用户-|-网通用户-
-博客论坛-|-软件下载-
-网站导航-|-规范下载-
-BelovedFLash欣赏-

用户登陆
用户:
密码:
 

站点日历
73 2019 - 6 48
      1
2345678
9101112131415
16171819202122
23242526272829
30


站点统计

最新评论



3D红蓝眼镜与红绿眼镜的区别? AcDbPolyline与AcDb2dPolyline
未知 Converting a Polyline2d to Polyline   [ 日期:2016-02-15 ]   [ 来自:本站原创 ]  HTML


http://adndevblog.typepad.com/autocad/2012/ ... olyline2d-to-polyline.html
<CommandMethod("TestConvertPoly")> _
Public Sub testConvertPoly()
    Dim doc As Document = Application.DocumentManager.MdiActiveDocument
    Dim db As Database = doc.Database
    Dim ed As Editor = doc.Editor

    ' select the entity
    Dim res As PromptEntityResult = ed.GetEntity("Select PolyLine: ")
    ' if ok
    If res.Status = PromptStatus.OK Then
        ' use the using keyword so that the objects auto-dispose
        '(close)  at the end of the brace
        ' open for write otherwise ConvertFrom will fail
        Using ent As Entity = CType(res.ObjectId.Open(OpenMode.ForRead), Entity)

            ' if it's a polyline2d
            If TypeOf ent Is Polyline2d Then
                Dim poly2d As Polyline2d = CType(ent, Polyline2d)
                poly2d.UpgradeOpen()

                ' again use the using keyword to ensure auto-closing
                Using poly As New Autodesk.AutoCAD.DatabaseServices.Polyline()
                    poly.ConvertFrom(poly2d, True)
                End Using
            End If
        End Using
    End If
End Sub







暂时没有评论
发表评论 - 不要忘了输入验证码哦!
作者: 用户:  密码:   注册? 验证:  防止恶意留言请输入问题答案:2*5=?  
评论:

禁止表情
禁止UBB
禁止图片
识别链接
识别关键字

字体样式 文字大小 文字颜色
插入粗体文本 插入斜体文本 插入下划线
左对齐 居中对齐 右对齐
插入超级链接 插入邮件地址 插入图像
插入 Flash 插入代码 插入引用
插入列表 插入音频文件 插入视频文件
插入缩进符合
点击下载按钮 下标 上标
水平线 简介分割标记
表  情
 
Tiancao Blog All Rights Reserved 田草博客 版权所有
Copyright ©